using System;
using System.Collections.Generic;

namespace Ato.EN.IntegrationServices.CodeGenerationFTER
{
    public class FTER2018
    {
    
    public string INTId = null;
    public bool INTExists = false;
    public int INTCount = 0;
    public int INTOccurrenceIndex = 0;
    public int INTLastOccurrenceIndex = 0;
    public string INTIdentifier = null;
    public string INTIdentifierScheme = null;
        public string INTIdentifierABN = null;
        public DateTime? INTStartDate = null;
        public DateTime? INTEndDate = null;
    
        public bool DeclarationCollectionExists = false;
        public int DeclarationCollectionCount = 0;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect']
         /// </summary>
        public bool DeclarationCollection_TrueAndCorrect_INTExists = false;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect']
         /// </summary>
        public int DeclarationCollection_TrueAndCorrect_INTCount = 0;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect'] Occurrence Index
         /// </summary>
        public int DeclarationCollection_TrueAndCorrect_INTOccurrenceIndex = 0;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect'] Last Occurrence Index
         /// </summary>
        public int DeclarationCollection_TrueAndCorrect_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.StatementType.Code
        /// </summary>
        public string FTER159 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.StatementAccepted.Indicator
        /// </summary>
        public bool? FTER160 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.Statement.Text
        /// </summary>
        public string FTER161 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.Signature.Date
        /// </summary>
        public DateTime? FTER162 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.SignatoryIdentifier.Text
        /// </summary>
        public string FTER163 = null;
    
        public bool Declaration_PersonUnstructuredNameCollectionExists = false;
        public int Declaration_PersonUnstructuredNameCollectionCount = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
         /// </summary>
        public bool Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTExists = false;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
         /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTCount = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory'] Occurrence Index
         /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTOccurrenceIndex = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory'] Last Occurrence Index
         /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// INT:tns:PersonUnstructuredName.Usage.Code
        /// </summary>
        public string FTER164 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// INT:tns:PersonUnstructuredName.FullName.Text
        /// </summary>
        public string FTER165 = null;

        /// <summary>
        /// INT:tns:Identifiers.TaxAgentNumber.Identifier
        /// </summary>
        public string FTER2 = null;
    
        public bool PersonUnstructuredNameCollectionExists = false;
        public int PersonUnstructuredNameCollectionCount = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='Contact']
         /// </summary>
        public bool PersonUnstructuredNameCollection_Contact_INTExists = false;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='Contact']
         /// </summary>
        public int PersonUnstructuredNameCollection_Contact_INTCount = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='Contact'] Occurrence Index
         /// </summary>
        public int PersonUnstructuredNameCollection_Contact_INTOccurrenceIndex = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='Contact'] Last Occurrence Index
         /// </summary>
        public int PersonUnstructuredNameCollection_Contact_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='Contact']
        /// INT:tns:PersonUnstructuredName.Usage.Code
        /// </summary>
        public string FTER156 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='Contact']
        /// INT:tns:PersonUnstructuredName.FullName.Text
        /// </summary>
        public string FTER82 = null;
    
        public bool ElectronicContactTelephoneCollectionExists = false;
        public int ElectronicContactTelephoneCollectionCount = 0;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03']
         /// </summary>
        public bool ElectronicContactTelephoneCollection_03_INTExists = false;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03']
         /// </summary>
        public int ElectronicContactTelephoneCollection_03_INTCount = 0;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03'] Occurrence Index
         /// </summary>
        public int ElectronicContactTelephoneCollection_03_INTOccurrenceIndex = 0;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03'] Last Occurrence Index
         /// </summary>
        public int ElectronicContactTelephoneCollection_03_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.Usage.Code
        /// </summary>
        public string FTER157 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.ServiceLine.Code
        /// </summary>
        public string FTER158 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.Area.Code
        /// </summary>
        public string FTER83 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.Minimal.Number
        /// </summary>
        public string FTER84 = null;

        public string RPId = null;
        public bool RPExists = false;
        public int RPCount = 0;
        public int RPOccurrenceIndex = 0;
        public int RPLastOccurrenceIndex = 0;
        public string RPIdentifier = null;
        public string RPIdentifierScheme = null;
        public string RPIdentifierTFN = null;
        public DateTime? RPStartDate = null;
        public DateTime? RPEndDate = null;

        /// <summary>
        /// RP:tns:Identifiers.TaxFileNumber.Identifier
        /// </summary>
        public string FTER3 = null;

        /// <summary>
        /// RP:tns:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string FTER170 = null;

        /// <summary>
        /// RP:tns:Lodgment.PeriodYear.Year
        /// </summary>
        public int? FTER1 = null;

        /// <summary>
        /// RP:tns:Elections.FamilyTrustElectionRevocation.Code
        /// </summary>
        public string FTER95 = null;

        /// <summary>
        /// RP:tns:Report.CompletionHours.Number
        /// </summary>
        public decimal? FTER85 = null;
    
        public bool OrganisationNameDetailsCollectionExists = false;
        public int OrganisationNameDetailsCollectionCount = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
         /// </summary>
        public bool OrganisationNameDetailsCollection_MN_C_RPExists = false;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
         /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_RPCount = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Occurrence Index
         /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_RPOccurrenceIndex = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Last Occurrence Index
         /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
        /// </summary>
        public string FTER103 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.Currency.Code
        /// </summary>
        public string FTER102 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string FTER4 = null;
    
        public bool AddressDetailsCollectionExists = false;
        public int AddressDetailsCollectionCount = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
         /// </summary>
        public bool AddressDetailsCollection_POS_C_RPExists = false;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
         /// </summary>
        public int AddressDetailsCollection_POS_C_RPCount = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C'] Occurrence Index
         /// </summary>
        public int AddressDetailsCollection_POS_C_RPOccurrenceIndex = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C'] Last Occurrence Index
         /// </summary>
        public int AddressDetailsCollection_POS_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.OverseasAddress.Indicator
        /// </summary>
        public bool? FTER114 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Usage.Code
        /// </summary>
        public string FTER105 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Currency.Code
        /// </summary>
        public string FTER104 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line1.Text
        /// </summary>
        public string FTER5 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line2.Text
        /// </summary>
        public string FTER110 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line3.Text
        /// </summary>
        public string FTER111 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line4.Text
        /// </summary>
        public string FTER112 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.LocalityName.Text
        /// </summary>
        public string FTER6 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Postcode.Text
        /// </summary>
        public string FTER8 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.StateOrTerritory.Code
        /// </summary>
        public string FTER7 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.CountryName.Text
        /// </summary>
        public string FTER9 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Country.Code
        /// </summary>
        public string FTER113 = null;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']
         /// </summary>
        public bool OrganisationNameDetailsCollection_MN_P_RPExists = false;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']
         /// </summary>
        public int OrganisationNameDetailsCollection_MN_P_RPCount = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P'] Occurrence Index
         /// </summary>
        public int OrganisationNameDetailsCollection_MN_P_RPOccurrenceIndex = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P'] Last Occurrence Index
         /// </summary>
        public int OrganisationNameDetailsCollection_MN_P_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']
        /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
        /// </summary>
        public string FTER107 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']
        /// RP:tns:OrganisationNameDetails.Currency.Code
        /// </summary>
        public string FTER106 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']
        /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string FTER10 = null;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
         /// </summary>
        public bool AddressDetailsCollection_POS_P_RPExists = false;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
         /// </summary>
        public int AddressDetailsCollection_POS_P_RPCount = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P'] Occurrence Index
         /// </summary>
        public int AddressDetailsCollection_POS_P_RPOccurrenceIndex = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P'] Last Occurrence Index
         /// </summary>
        public int AddressDetailsCollection_POS_P_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.OverseasAddress.Indicator
        /// </summary>
        public bool? FTER119 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Usage.Code
        /// </summary>
        public string FTER109 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Currency.Code
        /// </summary>
        public string FTER108 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Line1.Text
        /// </summary>
        public string FTER11 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Line2.Text
        /// </summary>
        public string FTER115 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Line3.Text
        /// </summary>
        public string FTER116 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Line4.Text
        /// </summary>
        public string FTER117 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.LocalityName.Text
        /// </summary>
        public string FTER12 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Postcode.Text
        /// </summary>
        public string FTER14 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.StateOrTerritory.Code
        /// </summary>
        public string FTER13 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.CountryName.Text
        /// </summary>
        public string FTER15 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Country.Code
        /// </summary>
        public string FTER118 = null;

        /// <summary>
        /// RP:tns:Residency.CentralManagementAndControlOutsideAustralia.Indicator
        /// </summary>
        public bool? FTER16 = null;

        /// <summary>
        /// RP:tns:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator
        /// </summary>
        public bool? FTER17 = null;
    
        public bool PeriodDetailsCollectionExists = false;
        public int PeriodDetailsCollectionCount = 0;

        public List<PeriodDetailsControlOutsideAustraliaPartPeriodRP> PeriodDetailsControlOutsideAustraliaPartPeriodRPCollection = null;

        public class PeriodDetailsControlOutsideAustraliaPartPeriodRP 
        {
            public int OccurrenceIndex = 0;
    
             /// <summary>
             /// [Period.Type.Code='ControlOutsideAustraliaPartPeriod']
             /// </summary>
            public bool PeriodDetailsCollection_ControlOutsideAustraliaPartPeriod_RPExists = false;
    
             /// <summary>
             /// [Period.Type.Code='ControlOutsideAustraliaPartPeriod']
             /// </summary>
            public int PeriodDetailsCollection_ControlOutsideAustraliaPartPeriod_RPCount = 0;
    
             /// <summary>
             /// [Period.Type.Code='ControlOutsideAustraliaPartPeriod'] Occurrence Index
             /// </summary>
            public int PeriodDetailsCollection_ControlOutsideAustraliaPartPeriod_RPOccurrenceIndex = 0;
    
             /// <summary>
             /// [Period.Type.Code='ControlOutsideAustraliaPartPeriod'] Last Occurrence Index
             /// </summary>
            public int PeriodDetailsCollection_ControlOutsideAustraliaPartPeriod_RPLastOccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:PeriodDetails
            /// [Period.Type.Code='ControlOutsideAustraliaPartPeriod']
            /// RP:tns:Period.Type.Code
            /// </summary>
            public string FTER88 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:PeriodDetails
            /// [Period.Type.Code='ControlOutsideAustraliaPartPeriod']
            /// RP:tns:Period.Start.Date
            /// </summary>
            public DateTime? FTER18 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:PeriodDetails
            /// [Period.Type.Code='ControlOutsideAustraliaPartPeriod']
            /// RP:tns:Period.End.Date
            /// </summary>
            public DateTime? FTER19 = null;
        }
    
        public bool TrusteeCollectionExists = false;
        public int TrusteeCollectionCount = 0;

        public List<Trustee> TrusteeCollection = null;

        public class Trustee 
        {
            public int OccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee
            /// RP:tns:Identifiers.TaxFileNumber.Identifier
            /// </summary>
            public string FTER20 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee
            /// RP:tns:Identifiers.TaxFileNumberInexistent.Indicator
            /// </summary>
            public bool? FTER21 = null;

            public bool Trustee_PersonNameDetailsCollectionExists = false;
            public int Trustee_PersonNameDetailsCollectionCount = 0;
    
             /// <summary>
             /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
             /// </summary>
            public bool Trustee_PersonNameDetailsCollection_LGL_Contact_C_RPExists = false;
    
             /// <summary>
             /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
             /// </summary>
            public int Trustee_PersonNameDetailsCollection_LGL_Contact_C_RPCount = 0;
    
             /// <summary>
             /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C'] Occurrence Index
             /// </summary>
            public int Trustee_PersonNameDetailsCollection_LGL_Contact_C_RPOccurrenceIndex = 0;
    
             /// <summary>
             /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C'] Last Occurrence Index
             /// </summary>
            public int Trustee_PersonNameDetailsCollection_LGL_Contact_C_RPLastOccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.PersonNameType.Code
            /// </summary>
            public string FTER120 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.Usage.Code
            /// </summary>
            public string FTER121 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.Currency.Code
            /// </summary>
            public string FTER122 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.Title.Text
            /// </summary>
            public string FTER22 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.NameSuffix.Text
            /// </summary>
            public string FTER24 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.FamilyName.Text
            /// </summary>
            public string FTER23 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.GivenName.Text
            /// </summary>
            public string FTER25 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.OtherGivenName.Text
            /// </summary>
            public string FTER26 = null;

            public bool Trustee_OrganisationNameDetailsCollectionExists = false;
            public int Trustee_OrganisationNameDetailsCollectionCount = 0;
    
             /// <summary>
             /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
             /// </summary>
            public bool Trustee_OrganisationNameDetailsCollection_MN_C_RPExists = false;
    
             /// <summary>
             /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
             /// </summary>
            public int Trustee_OrganisationNameDetailsCollection_MN_C_RPCount = 0;
    
             /// <summary>
             /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Occurrence Index
             /// </summary>
            public int Trustee_OrganisationNameDetailsCollection_MN_C_RPOccurrenceIndex = 0;
    
             /// <summary>
             /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Last Occurrence Index
             /// </summary>
            public int Trustee_OrganisationNameDetailsCollection_MN_C_RPLastOccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee/tns:OrganisationNameDetails
            /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
            /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
            /// </summary>
            public string FTER132 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee/tns:OrganisationNameDetails
            /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
            /// RP:tns:OrganisationNameDetails.Currency.Code
            /// </summary>
            public string FTER133 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee/tns:OrganisationNameDetails
            /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
            /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
            /// </summary>
            public string FTER27 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee
            /// RP:tns:Identifiers.AustralianCompanyNumber.Identifier
            /// </summary>
            public string FTER86 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee
            /// RP:tns:Identifiers.AustralianRegisteredBodyNumber.Identifier
            /// </summary>
            public string FTER29 = null;

            public bool Trustee_AddressDetailsCollectionExists = false;
            public int Trustee_AddressDetailsCollectionCount = 0;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
             /// </summary>
            public bool Trustee_AddressDetailsCollection_POS_C_RPExists = false;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
             /// </summary>
            public int Trustee_AddressDetailsCollection_POS_C_RPCount = 0;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C'] Occurrence Index
             /// </summary>
            public int Trustee_AddressDetailsCollection_POS_C_RPOccurrenceIndex = 0;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C'] Last Occurrence Index
             /// </summary>
            public int Trustee_AddressDetailsCollection_POS_C_RPLastOccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.OverseasAddress.Indicator
            /// </summary>
            public bool? FTER126 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Usage.Code
            /// </summary>
            public string FTER128 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Currency.Code
            /// </summary>
            public string FTER127 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line1.Text
            /// </summary>
            public string FTER30 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line2.Text
            /// </summary>
            public string FTER31 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line3.Text
            /// </summary>
            public string FTER123 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line4.Text
            /// </summary>
            public string FTER124 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.LocalityName.Text
            /// </summary>
            public string FTER32 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Postcode.Text
            /// </summary>
            public string FTER34 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.StateOrTerritory.Code
            /// </summary>
            public string FTER33 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.CountryName.Text
            /// </summary>
            public string FTER35 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Country.Code
            /// </summary>
            public string FTER125 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee
            /// RP:tns:Residency.TaxPurposesPersonStatus.Indicator
            /// </summary>
            public bool? FTER36 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:Trustee
            /// RP:tns:Residency.NonResidentFullPeriod.Indicator
            /// </summary>
            public bool? FTER37 = null;

            public bool Trustee_PeriodDetailsCollectionExists = false;
            public int Trustee_PeriodDetailsCollectionCount = 0;
    
            public List<Trustee_PeriodDetailsNonResidentPartPeriodRP> Trustee_PeriodDetailsNonResidentPartPeriodRPCollection = null;
    
            public class Trustee_PeriodDetailsNonResidentPartPeriodRP 
            {
                public int OccurrenceIndex = 0;
        
                 /// <summary>
                 /// [Period.Type.Code='NonResidentPartPeriod']
                 /// </summary>
                public bool Trustee_PeriodDetailsCollection_NonResidentPartPeriod_RPExists = false;
        
                 /// <summary>
                 /// [Period.Type.Code='NonResidentPartPeriod']
                 /// </summary>
                public int Trustee_PeriodDetailsCollection_NonResidentPartPeriod_RPCount = 0;
        
                 /// <summary>
                 /// [Period.Type.Code='NonResidentPartPeriod'] Occurrence Index
                 /// </summary>
                public int Trustee_PeriodDetailsCollection_NonResidentPartPeriod_RPOccurrenceIndex = 0;
        
                 /// <summary>
                 /// [Period.Type.Code='NonResidentPartPeriod'] Last Occurrence Index
                 /// </summary>
                public int Trustee_PeriodDetailsCollection_NonResidentPartPeriod_RPLastOccurrenceIndex = 0;
        
                /// <summary>
                /// /xbrli:xbrl/tns:Trustee/tns:PeriodDetails
                /// [Period.Type.Code='NonResidentPartPeriod']
                /// RP:tns:Period.Type.Code
                /// </summary>
                public string FTER90 = null;
        
                /// <summary>
                /// /xbrli:xbrl/tns:Trustee/tns:PeriodDetails
                /// [Period.Type.Code='NonResidentPartPeriod']
                /// RP:tns:Period.Start.Date
                /// </summary>
                public DateTime? FTER38 = null;
        
                /// <summary>
                /// /xbrli:xbrl/tns:Trustee/tns:PeriodDetails
                /// [Period.Type.Code='NonResidentPartPeriod']
                /// RP:tns:Period.End.Date
                /// </summary>
                public DateTime? FTER39 = null;
            }
        }

        /// <summary>
        /// RP:tns:Elections.FamilyTrustElectionStatus.Year
        /// </summary>
        public int? FTER40 = null;

         /// <summary>
         /// [Period.Type.Code='SubstitutedAccountingPeriod']
         /// </summary>
        public bool PeriodDetailsCollection_SubstitutedAccountingPeriod_RPExists = false;

         /// <summary>
         /// [Period.Type.Code='SubstitutedAccountingPeriod']
         /// </summary>
        public int PeriodDetailsCollection_SubstitutedAccountingPeriod_RPCount = 0;

         /// <summary>
         /// [Period.Type.Code='SubstitutedAccountingPeriod'] Occurrence Index
         /// </summary>
        public int PeriodDetailsCollection_SubstitutedAccountingPeriod_RPOccurrenceIndex = 0;

         /// <summary>
         /// [Period.Type.Code='SubstitutedAccountingPeriod'] Last Occurrence Index
         /// </summary>
        public int PeriodDetailsCollection_SubstitutedAccountingPeriod_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:PeriodDetails
        /// [Period.Type.Code='SubstitutedAccountingPeriod']
        /// RP:tns:Period.Type.Code
        /// </summary>
        public string FTER89 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PeriodDetails
        /// [Period.Type.Code='SubstitutedAccountingPeriod']
        /// RP:tns:Period.Start.Date
        /// </summary>
        public DateTime? FTER41 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PeriodDetails
        /// [Period.Type.Code='SubstitutedAccountingPeriod']
        /// RP:tns:Period.End.Date
        /// </summary>
        public DateTime? FTER42 = null;

        /// <summary>
        /// RP:tns:Elections.Commencement.Date
        /// </summary>
        public DateTime? FTER43 = null;
    
        public bool SpecifiedIndividualCollectionExists = false;
        public int SpecifiedIndividualCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:SpecifiedIndividual
        /// RP:tns:Identifiers.TaxFileNumber.Identifier
        /// </summary>
        public string FTER44 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SpecifiedIndividual
        /// RP:tns:Identifiers.TaxFileNumberInexistent.Indicator
        /// </summary>
        public bool? FTER45 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SpecifiedIndividual
        /// RP:tns:PersonDemographicDetails.Birth.Date
        /// </summary>
        public DateTime? FTER46 = null;
    
        public bool SpecifiedIndividual_PersonNameDetailsCollectionExists = false;
        public int SpecifiedIndividual_PersonNameDetailsCollectionCount = 0;

         /// <summary>
         /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
         /// </summary>
        public bool SpecifiedIndividual_PersonNameDetailsCollection_LGL_Contact_C_RPExists = false;

         /// <summary>
         /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
         /// </summary>
        public int SpecifiedIndividual_PersonNameDetailsCollection_LGL_Contact_C_RPCount = 0;

         /// <summary>
         /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C'] Occurrence Index
         /// </summary>
        public int SpecifiedIndividual_PersonNameDetailsCollection_LGL_Contact_C_RPOccurrenceIndex = 0;

         /// <summary>
         /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C'] Last Occurrence Index
         /// </summary>
        public int SpecifiedIndividual_PersonNameDetailsCollection_LGL_Contact_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:SpecifiedIndividual/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.PersonNameType.Code
        /// </summary>
        public string FTER129 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SpecifiedIndividual/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.Usage.Code
        /// </summary>
        public string FTER130 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SpecifiedIndividual/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.Currency.Code
        /// </summary>
        public string FTER131 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SpecifiedIndividual/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.Title.Text
        /// </summary>
        public string FTER47 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SpecifiedIndividual/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.NameSuffix.Text
        /// </summary>
        public string FTER51 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SpecifiedIndividual/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.FamilyName.Text
        /// </summary>
        public string FTER50 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SpecifiedIndividual/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.GivenName.Text
        /// </summary>
        public string FTER48 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SpecifiedIndividual/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'].[PersonNameDetails.Currency.Code='C']
        /// RP:tns:PersonNameDetails.OtherGivenName.Text
        /// </summary>
        public string FTER49 = null;
    
        public bool SpecifiedIndividual_AddressDetailsCollectionExists = false;
        public int SpecifiedIndividual_AddressDetailsCollectionCount = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
         /// </summary>
        public bool SpecifiedIndividual_AddressDetailsCollection_RES_C_RPExists = false;

         /// <summary>
         /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
         /// </summary>
        public int SpecifiedIndividual_AddressDetailsCollection_RES_C_RPCount = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C'] Occurrence Index
         /// </summary>
        public int SpecifiedIndividual_AddressDetailsCollection_RES_C_RPOccurrenceIndex = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C'] Last Occurrence Index
         /// </summary>
        public int SpecifiedIndividual_AddressDetailsCollection_RES_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:SpecifiedIndividual/tns:AddressDetails
        /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.OverseasAddress.Indicator
        /// </summary>
        public bool? FTER138 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SpecifiedIndividual/tns:AddressDetails
        /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Usage.Code
        /// </summary>
        public string FTER139 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SpecifiedIndividual/tns:AddressDetails
        /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Currency.Code
        /// </summary>
        public string FTER140 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SpecifiedIndividual/tns:AddressDetails
        /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line1.Text
        /// </summary>
        public string FTER52 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SpecifiedIndividual/tns:AddressDetails
        /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line2.Text
        /// </summary>
        public string FTER134 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SpecifiedIndividual/tns:AddressDetails
        /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line3.Text
        /// </summary>
        public string FTER135 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SpecifiedIndividual/tns:AddressDetails
        /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line4.Text
        /// </summary>
        public string FTER136 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SpecifiedIndividual/tns:AddressDetails
        /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.LocalityName.Text
        /// </summary>
        public string FTER53 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SpecifiedIndividual/tns:AddressDetails
        /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Postcode.Text
        /// </summary>
        public string FTER55 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SpecifiedIndividual/tns:AddressDetails
        /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.StateOrTerritory.Code
        /// </summary>
        public string FTER54 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SpecifiedIndividual/tns:AddressDetails
        /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.CountryName.Text
        /// </summary>
        public string FTER56 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SpecifiedIndividual/tns:AddressDetails
        /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Country.Code
        /// </summary>
        public string FTER137 = null;

        /// <summary>
        /// RP:tns:Elections.Revocation.Date
        /// </summary>
        public DateTime? FTER57 = null;

        /// <summary>
        /// RP:tns:Elections.FamilyTrustRevocationStatusEffective.Year
        /// </summary>
        public int? FTER96 = null;

        /// <summary>
        /// RP:tns:Elections.NotificationOfElectionBeingRevoked.Year
        /// </summary>
        public int? FTER58 = null;

        /// <summary>
        /// RP:tns:Identifiers.TaxFileNumber.Identifier
        /// </summary>
        public string FTER60 = null;

        /// <summary>
        /// RP:tns:Identifiers.TaxFileNumberInexistent.Indicator
        /// </summary>
        public bool? FTER61 = null;
    
        public bool InterposedEntityCollectionExists = false;
        public int InterposedEntityCollectionCount = 0;

        public List<InterposedEntity> InterposedEntityCollection = null;

        public class InterposedEntity 
        {
            public int OccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:InterposedEntity
            /// RP:tns:Party.Type.Code
            /// </summary>
            public string FTER62 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:InterposedEntity
            /// RP:tns:Identifiers.TaxFileNumber.Identifier
            /// </summary>
            public string FTER64 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:InterposedEntity
            /// RP:tns:Identifiers.TaxFileNumberInexistent.Indicator
            /// </summary>
            public bool? FTER63 = null;

            public bool InterposedEntity_OrganisationNameDetailsCollectionExists = false;
            public int InterposedEntity_OrganisationNameDetailsCollectionCount = 0;
    
             /// <summary>
             /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
             /// </summary>
            public bool InterposedEntity_OrganisationNameDetailsCollection_MN_C_RPExists = false;
    
             /// <summary>
             /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
             /// </summary>
            public int InterposedEntity_OrganisationNameDetailsCollection_MN_C_RPCount = 0;
    
             /// <summary>
             /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Occurrence Index
             /// </summary>
            public int InterposedEntity_OrganisationNameDetailsCollection_MN_C_RPOccurrenceIndex = 0;
    
             /// <summary>
             /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Last Occurrence Index
             /// </summary>
            public int InterposedEntity_OrganisationNameDetailsCollection_MN_C_RPLastOccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:InterposedEntity/tns:OrganisationNameDetails
            /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
            /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
            /// </summary>
            public string FTER151 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:InterposedEntity/tns:OrganisationNameDetails
            /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
            /// RP:tns:OrganisationNameDetails.Currency.Code
            /// </summary>
            public string FTER152 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:InterposedEntity/tns:OrganisationNameDetails
            /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
            /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
            /// </summary>
            public string FTER65 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:InterposedEntity
            /// RP:tns:Identifiers.AustralianCompanyNumber.Identifier
            /// </summary>
            public string FTER87 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:InterposedEntity
            /// RP:tns:Identifiers.AustralianRegisteredBodyNumber.Identifier
            /// </summary>
            public string FTER67 = null;

            public bool InterposedEntity_AddressDetailsCollectionExists = false;
            public int InterposedEntity_AddressDetailsCollectionCount = 0;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
             /// </summary>
            public bool InterposedEntity_AddressDetailsCollection_POS_C_RPExists = false;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
             /// </summary>
            public int InterposedEntity_AddressDetailsCollection_POS_C_RPCount = 0;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C'] Occurrence Index
             /// </summary>
            public int InterposedEntity_AddressDetailsCollection_POS_C_RPOccurrenceIndex = 0;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C'] Last Occurrence Index
             /// </summary>
            public int InterposedEntity_AddressDetailsCollection_POS_C_RPLastOccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:InterposedEntity/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.OverseasAddress.Indicator
            /// </summary>
            public bool? FTER146 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:InterposedEntity/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Usage.Code
            /// </summary>
            public string FTER147 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:InterposedEntity/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Currency.Code
            /// </summary>
            public string FTER155 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:InterposedEntity/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line1.Text
            /// </summary>
            public string FTER68 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:InterposedEntity/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line2.Text
            /// </summary>
            public string FTER69 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:InterposedEntity/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line3.Text
            /// </summary>
            public string FTER143 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:InterposedEntity/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line4.Text
            /// </summary>
            public string FTER144 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:InterposedEntity/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.LocalityName.Text
            /// </summary>
            public string FTER70 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:InterposedEntity/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Postcode.Text
            /// </summary>
            public string FTER72 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:InterposedEntity/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.StateOrTerritory.Code
            /// </summary>
            public string FTER71 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:InterposedEntity/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.CountryName.Text
            /// </summary>
            public string FTER73 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:InterposedEntity/tns:AddressDetails
            /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Country.Code
            /// </summary>
            public string FTER145 = null;
        }
    
        public bool DeclarationOfTrusteeCollectionExists = false;
        public int DeclarationOfTrusteeCollectionCount = 0;

        public List<DeclarationOfTrustee> DeclarationOfTrusteeCollection = null;

        public class DeclarationOfTrustee 
        {
            public int OccurrenceIndex = 0;

            public bool DeclarationOfTrustee_PersonNameDetailsCollectionExists = false;
            public int DeclarationOfTrustee_PersonNameDetailsCollectionCount = 0;
    
             /// <summary>
             /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory'].[PersonNameDetails.Currency.Code='C']
             /// </summary>
            public bool DeclarationOfTrustee_PersonNameDetailsCollection_LGL_DeclarationSignatory_C_RPExists = false;
    
             /// <summary>
             /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory'].[PersonNameDetails.Currency.Code='C']
             /// </summary>
            public int DeclarationOfTrustee_PersonNameDetailsCollection_LGL_DeclarationSignatory_C_RPCount = 0;
    
             /// <summary>
             /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory'].[PersonNameDetails.Currency.Code='C'] Occurrence Index
             /// </summary>
            public int DeclarationOfTrustee_PersonNameDetailsCollection_LGL_DeclarationSignatory_C_RPOccurrenceIndex = 0;
    
             /// <summary>
             /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory'].[PersonNameDetails.Currency.Code='C'] Last Occurrence Index
             /// </summary>
            public int DeclarationOfTrustee_PersonNameDetailsCollection_LGL_DeclarationSignatory_C_RPLastOccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:DeclarationOfTrustee/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.PersonNameType.Code
            /// </summary>
            public string FTER148 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:DeclarationOfTrustee/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.Usage.Code
            /// </summary>
            public string FTER149 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:DeclarationOfTrustee/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.Currency.Code
            /// </summary>
            public string FTER150 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:DeclarationOfTrustee/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.Title.Text
            /// </summary>
            public string FTER74 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:DeclarationOfTrustee/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.NameSuffix.Text
            /// </summary>
            public string FTER76 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:DeclarationOfTrustee/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.FamilyName.Text
            /// </summary>
            public string FTER75 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:DeclarationOfTrustee/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.GivenName.Text
            /// </summary>
            public string FTER77 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:DeclarationOfTrustee/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory'].[PersonNameDetails.Currency.Code='C']
            /// RP:tns:PersonNameDetails.OtherGivenName.Text
            /// </summary>
            public string FTER78 = null;

            public bool DeclarationOfTrustee_OrganisationNameDetailsCollectionExists = false;
            public int DeclarationOfTrustee_OrganisationNameDetailsCollectionCount = 0;
    
             /// <summary>
             /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
             /// </summary>
            public bool DeclarationOfTrustee_OrganisationNameDetailsCollection_MN_C_RPExists = false;
    
             /// <summary>
             /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
             /// </summary>
            public int DeclarationOfTrustee_OrganisationNameDetailsCollection_MN_C_RPCount = 0;
    
             /// <summary>
             /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Occurrence Index
             /// </summary>
            public int DeclarationOfTrustee_OrganisationNameDetailsCollection_MN_C_RPOccurrenceIndex = 0;
    
             /// <summary>
             /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Last Occurrence Index
             /// </summary>
            public int DeclarationOfTrustee_OrganisationNameDetailsCollection_MN_C_RPLastOccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:DeclarationOfTrustee/tns:OrganisationNameDetails
            /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
            /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
            /// </summary>
            public string FTER153 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:DeclarationOfTrustee/tns:OrganisationNameDetails
            /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
            /// RP:tns:OrganisationNameDetails.Currency.Code
            /// </summary>
            public string FTER154 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:DeclarationOfTrustee/tns:OrganisationNameDetails
            /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
            /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
            /// </summary>
            public string FTER79 = null;

            public bool DeclarationOfTrustee_DeclarationCollectionExists = false;
            public int DeclarationOfTrustee_DeclarationCollectionCount = 0;
    
             /// <summary>
             /// [Declaration.StatementType.Code='TrueAndCorrect']
             /// </summary>
            public bool DeclarationOfTrustee_DeclarationCollection_TrueAndCorrect_RPExists = false;
    
             /// <summary>
             /// [Declaration.StatementType.Code='TrueAndCorrect']
             /// </summary>
            public int DeclarationOfTrustee_DeclarationCollection_TrueAndCorrect_RPCount = 0;
    
             /// <summary>
             /// [Declaration.StatementType.Code='TrueAndCorrect'] Occurrence Index
             /// </summary>
            public int DeclarationOfTrustee_DeclarationCollection_TrueAndCorrect_RPOccurrenceIndex = 0;
    
             /// <summary>
             /// [Declaration.StatementType.Code='TrueAndCorrect'] Last Occurrence Index
             /// </summary>
            public int DeclarationOfTrustee_DeclarationCollection_TrueAndCorrect_RPLastOccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:DeclarationOfTrustee/tns:Declaration
            /// [Declaration.StatementType.Code='TrueAndCorrect']
            /// RP:tns:Declaration.StatementType.Code
            /// </summary>
            public string FTER99 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:DeclarationOfTrustee/tns:Declaration
            /// [Declaration.StatementType.Code='TrueAndCorrect']
            /// RP:tns:Declaration.StatementAccepted.Indicator
            /// </summary>
            public bool? FTER169 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:DeclarationOfTrustee/tns:Declaration
            /// [Declaration.StatementType.Code='TrueAndCorrect']
            /// RP:tns:Declaration.Statement.Text
            /// </summary>
            public string FTER101 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:DeclarationOfTrustee/tns:Declaration
            /// [Declaration.StatementType.Code='TrueAndCorrect']
            /// RP:tns:Declaration.Signature.Date
            /// </summary>
            public DateTime? FTER168 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:DeclarationOfTrustee/tns:Declaration
            /// [Declaration.StatementType.Code='TrueAndCorrect']
            /// RP:tns:Declaration.SignatoryIdentifier.Text
            /// </summary>
            public string FTER100 = null;

            public bool DeclarationOfTrustee_Declaration_PersonUnstructuredNameCollectionExists = false;
            public int DeclarationOfTrustee_Declaration_PersonUnstructuredNameCollectionCount = 0;
    
             /// <summary>
             /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
             /// </summary>
            public bool DeclarationOfTrustee_Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_RPExists = false;
    
             /// <summary>
             /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
             /// </summary>
            public int DeclarationOfTrustee_Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_RPCount = 0;
    
             /// <summary>
             /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory'] Occurrence Index
             /// </summary>
            public int DeclarationOfTrustee_Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_RPOccurrenceIndex = 0;
    
             /// <summary>
             /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory'] Last Occurrence Index
             /// </summary>
            public int DeclarationOfTrustee_Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_RPLastOccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:DeclarationOfTrustee/tns:Declaration/tns:PersonUnstructuredName
            /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
            /// RP:tns:PersonUnstructuredName.Usage.Code
            /// </summary>
            public string FTER167 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:DeclarationOfTrustee/tns:Declaration/tns:PersonUnstructuredName
            /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
            /// RP:tns:PersonUnstructuredName.FullName.Text
            /// </summary>
            public string FTER166 = null;
        }

    }
}
